%define pkgname net-ssh
Summary:	Net::SSH - a pure-Ruby implementation of the SSH2 client protocol
Summary(pl.UTF-8):	Net::SSH - implementacja protokołu klienckiego SSH2 w czystym Rubym
Name:		ruby-%{pkgname}
Version:	2.6.6
Release:	3
License:	MIT
Group:		Development/Languages
Source0:	http://rubygems.org/downloads/%{pkgname}-%{version}.gem
# Source0-md5:	1aeaa841f23f8d528ba02c2bedd6f696
URL:		http://github.com/net-ssh/net-ssh
BuildRequires:	rpm-rubyprov
BuildRequires:	rpmbuild(macros) >= 1.665
%if %(locale -a | grep -q '^en_US$'; echo $?)
BuildRequires:	glibc-localedb-all
%endif
Obsoletes:	ruby-Net-SSH
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Net::SSH is a pure-Ruby implementation of the SSH2 client protocol.

%description -l pl.UTF-8
Net::SSH to implementacja protokołu klienckiego SSH2 w czystym Rubym.

%package rdoc
Summary:	HTML documentation for %{pkgname}
Summary(pl.UTF-8):	Dokumentacja w formacie HTML dla %{pkgname}
Group:		Documentation
Requires:	ruby >= 1:1.8.7-4

%description rdoc
HTML documentation for %{pkgname}.

%description rdoc -l pl.UTF-8
Dokumentacja w formacie HTML dla %{pkgname}.

%package ri
Summary:	ri documentation for %{pkgname}
Summary(pl.UTF-8):	Dokumentacja w formacie ri dla %{pkgname}
Group:		Documentation
Requires:	ruby

%description ri
ri documentation for %{pkgname}.

%description ri -l pl.UTF-8
Dokumentacji w formacie ri dla %{pkgname}.

%prep
%setup -q -n %{pkgname}-%{version}

%build
# write .gemspec
%__gem_helper spec

# UTF8 locale needed for doc generation
export LC_ALL=en_US.UTF-8
rdoc --ri --op ri lib
rdoc --op rdoc lib
rm -r ri/{OpenSSL,String}
rm ri/Net/cdesc-Net.ri
rm ri/created.rid
rm ri/cache.ri

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{ruby_vendorlibdir},%{ruby_specdir},%{ruby_ridir},%{ruby_rdocdir}/%{name}-%{version}}

cp -a lib/* $RPM_BUILD_ROOT%{ruby_vendorlibdir}
cp -a ri/* $RPM_BUILD_ROOT%{ruby_ridir}
cp -a rdoc/* $RPM_BUILD_ROOT%{ruby_rdocdir}/%{name}-%{version}

# install gemspec
cp -p %{pkgname}-%{version}.gemspec $RPM_BUILD_ROOT%{ruby_specdir}

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc README.rdoc CHANGES.txt THANKS.txt LICENSE.txt
%{ruby_vendorlibdir}/net/ssh.rb
%{ruby_vendorlibdir}/net/ssh
%{ruby_specdir}/net-ssh-%{version}.gemspec

%files rdoc
%defattr(644,root,root,755)
%{ruby_rdocdir}/%{name}-%{version}

%files ri
%defattr(644,root,root,755)
# XXX?
%dir %{ruby_ridir}/Net
%{ruby_ridir}/Net/SSH
%changelog
* Wed Sep 25 2013 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/ruby-net-ssh.git;a=log;h=master

* Wed Sep 25 2013 Elan Ruusamäe <glen@delfi.ee> de08a7c
- package gemspec

* Thu Apr 25 2013 Elan Ruusamäe <glen@delfi.ee> 1bf77d4
- vendorlibdir/net packaged in ruby

* Sun Apr 14 2013 Elan Ruusamäe <glen@delfi.ee> e485811
- up to 2.6.6

* Tue Feb 08 2011 sparky <sparky@pld-linux.org> 0f6871d
- .yaml file is no more, don't try to remove it

* Fri Aug 27 2010 Elan Ruusamäe <glen@pld-linux.org> 29eacde
- release 3

* Tue Mar 02 2010 Jan Rękorajski <baggins@pld-linux.org> 548b5fe
- 2.0.20
- added ri package

* Sat Feb 27 2010 Jan Rękorajski <baggins@pld-linux.org> 5db4b3a
- P:ruby-Net-SSH

* Fri Feb 26 2010 Jan Rękorajski <baggins@pld-linux.org> 4343c44
- O:ruby-Net-SSH

* Sun Nov 29 2009 Artur Frysiak <artur@frysiak.net> b1d49ad
- updated to 2.0.15

* Wed Jan 14 2009 Jakub Bogusz <qboosh@pld-linux.org> fb5caf8
- pl

* Tue Jan 13 2009 Elan Ruusamäe <glen@pld-linux.org> 2d348c8
- don't package system dir

* Tue Jan 13 2009 Zsolt Udvari <uzsolt@pld-linux.org> 99e4d3c
- initial

